package com.bonus.core.allocation.mobile.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("企业码配置模型")
public class EnterpriseCodeMetadataModel {
   @ApiModelProperty("企业名称")
   private String enterpriseName;
   @ApiModelProperty("企业简称")
   private String enterpriseAlias;
   @ApiModelProperty("企业身份")
   private String identity;
   @ApiModelProperty("企业id")
   private String enterpriseId;
   @ApiModelProperty("统一社会信用码")
   private String enterpriseCode;
   @ApiModelProperty("企业AppId")
   private String aliPayEnterpriseAppId;
   @ApiModelProperty("资金代付签约链接")
   private String signUrl;
   @ApiModelProperty("签约状态")
   private String signStatus;
   @ApiModelProperty("签约状态")
   private String activate;
   private String iotLogicGroupId;
   private String iotGroupId;
   @ApiModelProperty("支付账号Id")
   private String accountId;

   public String getEnterpriseName() {
      return this.enterpriseName;
   }

   public String getEnterpriseAlias() {
      return this.enterpriseAlias;
   }

   public String getIdentity() {
      return this.identity;
   }

   public String getEnterpriseId() {
      return this.enterpriseId;
   }

   public String getEnterpriseCode() {
      return this.enterpriseCode;
   }

   public String getAliPayEnterpriseAppId() {
      return this.aliPayEnterpriseAppId;
   }

   public String getSignUrl() {
      return this.signUrl;
   }

   public String getSignStatus() {
      return this.signStatus;
   }

   public String getActivate() {
      return this.activate;
   }

   public String getIotLogicGroupId() {
      return this.iotLogicGroupId;
   }

   public String getIotGroupId() {
      return this.iotGroupId;
   }

   public String getAccountId() {
      return this.accountId;
   }

   public void setEnterpriseName(final String enterpriseName) {
      this.enterpriseName = enterpriseName;
   }

   public void setEnterpriseAlias(final String enterpriseAlias) {
      this.enterpriseAlias = enterpriseAlias;
   }

   public void setIdentity(final String identity) {
      this.identity = identity;
   }

   public void setEnterpriseId(final String enterpriseId) {
      this.enterpriseId = enterpriseId;
   }

   public void setEnterpriseCode(final String enterpriseCode) {
      this.enterpriseCode = enterpriseCode;
   }

   public void setAliPayEnterpriseAppId(final String aliPayEnterpriseAppId) {
      this.aliPayEnterpriseAppId = aliPayEnterpriseAppId;
   }

   public void setSignUrl(final String signUrl) {
      this.signUrl = signUrl;
   }

   public void setSignStatus(final String signStatus) {
      this.signStatus = signStatus;
   }

   public void setActivate(final String activate) {
      this.activate = activate;
   }

   public void setIotLogicGroupId(final String iotLogicGroupId) {
      this.iotLogicGroupId = iotLogicGroupId;
   }

   public void setIotGroupId(final String iotGroupId) {
      this.iotGroupId = iotGroupId;
   }

   public void setAccountId(final String accountId) {
      this.accountId = accountId;
   }
}
